#!/bin/bash


source ../_local_collect_config.bash

doc_id="HASH01b058d81d87cbb75516422b"

store_cwd="$PWD"
cd $GSDL3HOME/WEB-INF/cgi

export REQUEST_METHOD=GET
export QUERY_STRING="a=get-archives-assocfile&site=test-suite&c=$col&d=$doc_id&assocname=09_1_1_1.gif"



echo "========"
echo "Retrieving gsdlassocfile 'metadata' entries for $doc_id:"
echo "  URL: http://localhost:8383/greenstone3/cgi-bin/metadata-server.pl?$QUERY_STRING"
echo "--------"
#./metadata-server.pl
./metadata-server.pl 2>/dev/null | head --bytes 1024
echo "..."
echo ""
echo "--------"
echo ""


# The following posts to Greenstone3 using CURL, however GS3 action requires user authentication to run
# As written the following when fail, due to it no supplying user-authentication details
# A HACK to do here is edit:
#   gs2build/perllib/cgiactions/metadataaction.pm
# and comment out the GS3_AUTHENTICATED test, changing the Perl code so it always
# loads in modmetadataaction.pm (the module that has all the set-.* actions)


cd "$store_cwd"
export GS3_AUTHENTICATED=true

echo "========"
echo "Uploading replacement gsdlassocfile file 09_1_1_1.gif for $doc_id:"
echo "--------"
echo curl -X POST -F "a=set-archives-assocfile" \
     -F "site=$site" -F "c=$col" -F "d=$doc_id" \
     -F "assocname=09_1_1_1.gif" \
     -F "fileupload=@testing-files/10_1_1_1_CHANGED.gif" \
     $gs_context_url/cgi-bin/metadata-server.pl
echo ""
curl -s -X POST -F "a=set-archives-assocfile" \
     -F "site=$site" -F "c=$col" -F "d=$doc_id" \
     -F "assocname=09_1_1_1.gif" \
     -F "fileupload=@testing-files/10_1_1_1_CHANGED.gif" \
     $gs_context_url/cgi-bin/metadata-server.pl 
echo ""
echo "--------"
echo ""


echo "+ Checking the following files are different:"
echo "+   import/09/images/09_1_1_1.gif archives/HASH01b0.dir/09_1_1_1.gif"

ls -li import/09/images/09_1_1_1.gif archives/HASH01b0.dir/09_1_1_1.gif

diff import/09/images/09_1_1_1.gif archives/HASH01b0.dir/09_1_1_1.gif

diff_status=$?

if [ $diff_status != 0 ] ; then
    echo "+"
    echo "+  Diff-test Successful!"
    echo "+"
fi


echo ""


